<template>
    <section class="content" style="margin-bottom:20px" v-cloak v-if="visible">
            <page-header title="Espace membre">
            <div slot="nav">
                <ol class="breadcrumb float-sm-right">
                       <li class="breadcrumb-item">
                           <router-link to="/trombinoscope" class="">Trombinoscope</router-link >
                        </li>
                       <li class="breadcrumb-item active">Détails</li>
                </ol>
            </div>
            </page-header>
            
    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title d-flex">
                     <span class="ml-2 mr-2"> 
                      <b>{{ member.fullName }} </b>
                     </span>
             </h3>

            <div class="card-tools">
    
                <div class="dropdown">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-plus-circle mr-3"></i> Actions
                    </button>
                    <div v-if="false" class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                          <router-link v-if="entity.waiting" :to="'/locations/'+entity.id+'/modification'" class="dropdown-item" href="#"><i class="fas fa-edit mr-2"></i>Modifier</router-link>
                          <a v-else class="dropdown-item" href="#" @click.prevent="showMessage('La location est déjà  en cours . Elle ne peut plus être modifée')"><i class="fas fa-edit mr-2"></i>Modifier</a>

                          <div class="dropdown-divider"></div>
                          <a class="dropdown-item" href="#" @click.prevent="addEntry"><i class="fas fa-piggy-bank mr-2"></i>Faire une avance</a>
                          <a class="dropdown-item" href="#" @click.prevent="prolongerEvent"><i class="fas fa-retweet mr-2"></i>Prolonger</a>
                    </div>
                    </div>
            </div>
        </div>

        <!-- /.card-body -->
    </div>
    <!-- /.card -->

</section>
</template>
<script>

   import Form from "./../../classes/Form"
   import Master from "./../Master.vue";
   import Facture from "./../../components/Facture";
   import { mapGetters } from 'vuex'

   import Prolongement from "./../../components/ProlongementLocation.vue";

    export default {
        components : {Facture,Prolongement},
        mixins: [Master],
        data()
          {
            return{ 
                roles:[],
                deleteConfirme:
                {
                  message:"Voulez-vous supprimer cette avance ?",
                  title:"Suppréssion d'une avance"
                },
                editEntry:false,
                isLoading:false,
                entity:{ client:{},vehicule:{marque:""},statut_payement:{nature:"payé"}},
                init:true,
                edit:false,
                visible:false,
                entity:{},
                currentYear:2010,
                date_transaction:"",
                form : new Form(
                  {
                    montant:'',
                    ancien_montant:'',
                    location_id:'',
                    reste_a_payer:0,
                    id:'',
                    date_transaction:''
                })

         }
        },
        mounted()
        {
          this.currentYear = moment().format('YYYY')
          this.pageInit =true
        },
        created()
        {
  
               this.$store.dispatch('members/init')
               this.$store.dispatch("members/getMember",this.$route.params.id).then((response) => 
                { 
                   this.visible = true  
                },
                (error) => {
                         console.log("Promise Rejected:")

                });

        },
        computed:
        {
          ...mapGetters({ member:"members/member"}),
        },
        methods:
        {
            ok()
            {

            },
             //Event sur le date picker
            datepickerEvent(event,name)
               {
                    if(name=="date_transaction")
                    {
                      
                        this.form.date_transaction = moment(event).format('YYYY-MM-DD')
                        this.form.checkError(name)

                    }
                },
               addEntry()
               {
                   this.editEntry = false
                   if(this.paid)
                   {
                    flash("<span>La somme due a déjà été payée</span>")
                    return
                   }
                   else
                   {
                      
                      this.form.montant =""
                      this.date_transaction = moment().toDate()
                      this.form.date_transaction=moment().format('YYYY-MM-DD')
                      this.form.errors.clearAll()
                      this.$refs['inputModalAvance'].show()
                   }

               },
                prolongerEvent()
                {
                 window.event.$emit('prolongement-event',this.entity)
                },
                updateEntry(e)
               {
                      this.editEntry = true
                      this.form.montant =e.montant
                      this.form.ancien_montant = e.montant
                      this.form.id=e.id
                      this.date_transaction = moment(e.date_transaction).toDate()
                      this.form.date_transaction=moment(e.date_transaction).format('YYYY-MM-DD')
                      this.form.location_id=this.entity.id
                      this.form.errors.clearAll()
                      this.$refs['inputModalAvance'].show()
                
               },
               showMessage(message)
               {
                       flash(message,'info')

               },
                           //Retire une marque de la BDD
             remove(e)
             { 
              //On demande la confirmation de la suppression
                alertConfirm(this.deleteConfirme.message,this.deleteConfirme.title)
                .then(result => {
                    //On réinitialise le chargement
                    this.isLoading = true
                    if(result)
                    {
                        axios.delete("/api/avances"+"/"+e.id).then((response) => 
                        { 
                          // on rafraichit la page de donnée actuelle
                          //on notifie l'effectivité de la suppréssion
                          
                          //On réinitialise le chargement
                            this.isLoading = false
                            this.entity.fluxfinances = this.entity.fluxfinances.filter( ex => ex.id!= e.id)
                            flash('Suppresion réussie')

                        },
                        (error) =>
                        {
                          this.isLoading = false
                        });
                    }
                })
                .catch(error => {
                    reject(error);
                });
             },
               onSubmit()
               {
                    this.isLoading = true
                    this.form.location_id = this.entity.id
                    this.form.reste_a_payer = this.reste

                    this.form[!this.editEntry ? 'post':'patch'](!this.editEntry ? '/api/avances/':'/api/avances/'+this.form.id).then((response) => 
                    { 
                       if(this.editEntry)
                       {
        
                         var flux = this.entity.fluxfinances.find( e => e.id== this.form.id)
                         flux = response.flux
                         flash("<span>Avance modifiée <strong>avec succès</strong></span>")
                       }
                       else
                       {
                         this.entity.fluxfinances.unshift(response.flux)
                         flash("<span>Avance ajoutée <strong>avec succès</strong></span>")
                       }
                       this.isLoading = false
                       this.$refs['inputModalAvance'].hide()

                    },
                    (error) => 
                    {
                         this.isLoading = false
                        console.log("Promise Rejected:")
                    });
               }
        },
        watch:
        {
          ModeEdit()
          {
              
          }
        }
    }
</script>
<style lang="scss" scoped>
    .kt-widget.kt-widget--user-profile-1 
    {
        padding-bottom: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head 
    {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__media img {
        width: 90px;
        max-width: 100%;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content {
        padding-left: 1.6rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username i {
        font-size: 1.1rem;
        padding-left: .4rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__subtitle {
        font-size: 1;
        display: block;
        padding: .25rem 0 0 0;
        font-weight: 500;
        color: #74788d
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action {
        margin-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action .btn {
        margin-right: .4rem;
        font-weight: 600;
        padding: .3rem 1rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content {
        padding: 1.9rem 0 2.1rem 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding-bottom: .5rem
    }
     .ge-details .nominatif-details {
      
}
     .ge-details i {
    font-size:30px;
}
    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info .kt-widget__label {
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info .kt-widget__data {
        color: #74788d;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info a.kt-widget__data:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content .kt-widget__info:last-child {
        padding-bottom: 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding: .9rem 1.05rem .9rem .6rem;
        margin: .4rem 0
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #f2f3f7;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active .kt-widget__section .kt-widget__desc {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item.kt-widget__item--active .kt-widget__section .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__icon svg {
        width: 2rem;
        height: 1.5rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #74788d
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item .kt-widget__section .kt-widget__desc {
        color: #74788d;
        font-weight: 500;
        padding-left: .3rem
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #f2f3f7;
        cursor: pointer;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover .kt-widget__desc {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__items .kt-widget__item:hover .kt-widget__icon .kt-svg-icon g [fill] {
        fill: #3d94fb
    }

    .kt-portlet__body.kt-portlet__body--fit-y .kt-widget {
        margin-top: -10px
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--user-profile-1 {
            padding-bottom: 1.2rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__media img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
            font-size: 1.1rem;
            color: #48465b;
            font-weight: 500
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action {
            margin-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__head .kt-widget__content .kt-widget__action .btn {
            margin-right: .4rem;
            font-weight: 500;
            padding: .25rem 1.25rem
        }
        .kt-widget.kt-widget--user-profile-1 .kt-widget__body .kt-widget__content {
            padding-bottom: 2rem
        }
    }

    .kt-widget.kt-widget--user-profile-2 {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        height: 100%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin-top: -45px
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__img {
        max-width: 90px;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 90px;
        height: 90px;
        font-size: 1.5rem;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__username {
        font-size: 1.4rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__titel {
        font-size: 1.4rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__titel:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__info .kt-widget__desc {
        display: block;
        font-weight: 500;
        font-size: 1.1rem;
        padding-top: .4rem;
        color: #74788d
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body {
        -webkit-box-flex: 1;
        -ms-flex: 1;
        flex: 1
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__section {
        padding: 1rem 0 1rem 0;
        color: #595d6e;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__section a {
        padding-right: .3rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        padding-bottom: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__icon i {
        font-size: 2.7rem;
        color: #a2a5b9;
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details .kt-widget__title {
        display: block;
        color: #595d6e;
        font-weight: 500;
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__content .kt-widget__stats .kt-widget__details .kt-widget__value {
        display: block;
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item {
        padding: .7rem 0
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding-bottom: .5rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact .kt-widget__label {
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact .kt-widget__data {
        color: #74788d;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact a.kt-widget__data:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__body .kt-widget__item .kt-widget__contact:last-child {
        padding-bottom: 0
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__footer {
        margin-top: 2rem
    }

    .kt-widget.kt-widget--user-profile-2 .kt-widget__footer .btn {
        font-size: 1rem;
        font-weight: 600;
        padding: 1.1rem 0;
        width: 100%
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head {
            margin-top: -30px
        }
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-2 .kt-widget__head .kt-widget__media .kt-widget__pic {
            max-width: 60px;
            max-height: 60px;
            font-size: 1.2rem
        }
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media {
        margin-top: .2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media img {
        width: 110px;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic {
        margin-top: .2rem;
        width: 100%;
        max-width: 110px;
        height: 110px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        font-size: 1.5rem;
        border-radius: 8px
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content {
        width: 100%;
        padding-left: 1.7rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__user {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin-right: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username i {
        font-size: 1.2rem;
        color: #57c974;
        padding-left: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__title {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 600;
        margin: .8rem 0 .7rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__title:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__action .btn {
        font-weight: 600;
        margin-left: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead {
        padding: .6rem 0 .8rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a {
        padding-right: 2rem;
        color: #74788d;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a i {
        padding-right: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc {
        color: #595d6e;
        font-weight: 400;
        padding-right: 2rem;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        margin-bottom: .5rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        max-width: 500px;
        width: 100%;
        margin: .1rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress .kt-widget__text {
        padding-right: 1rem;
        color: #595d6e;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress .kt-widget__stats {
        padding-left: 1rem;
        color: #48465b;
        font-weight: 600;
        font-size: 1.1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats {
        margin-bottom: .7rem;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item {
        padding-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__date {
        color: #595d6e;
        font-weight: 500;
        padding-bottom: 1rem;
        display: block
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__progress {
        width: 100%;
        margin: 1.4rem 0 .5rem 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
        margin: 0 2.2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__stats .kt-widget__item:last-child {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 100%;
        border-top: 1px solid #ebedf2;
        margin-top: 2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        padding: 2rem 1.5rem 0 0
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__icon i {
        font-size: 2.7rem;
        color: #a2a5b9;
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__title {
        display: block;
        color: #595d6e;
        font-weight: 600;
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__value {
        display: block;
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-widget__value span {
        color: #595d6e;
        font-weight: 400
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details a.kt-widget__value {
        font-size: .95rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details a.kt-widget__value:hover {
        color: #3d94fb
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__details .kt-section__content {
        padding-left: .7rem
    }

    .kt-widget.kt-widget--user-profile-3 .kt-widget__form {
        margin-top: 1.5rem
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-3 {
            padding-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-align: start;
            -ms-flex-align: start;
            align-items: flex-start
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media {
            margin-top: .5rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__media img {
            max-width: 60px
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__pic {
            width: 60px;
            height: 60px;
            margin-top: .5rem;
            font-size: 1.3rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content {
            padding-left: 1rem;
            margin-top: 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__head .kt-widget__username {
            padding-bottom: .6rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead {
            padding: 1.2rem 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__subhead a:not(:first-child):not(:last-child) {
            padding: .5rem 1rem .5rem 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -ms-flex-direction: column;
            flex-direction: column
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc {
            padding-bottom: 1rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__progress {
            width: 100%
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom {
            padding-top: 1rem
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item {
            padding: 1rem 1rem 0 0
        }
        .kt-widget.kt-widget--user-profile-3 .kt-widget__bottom .kt-widget__item .kt-widget__icon i {
            font-size: 2.5rem
        }
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head {
        margin-top: 1rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__img {
        max-width: 90px;
        max-height: 90px;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 90px;
        height: 90px;
        font-size: 1.5rem;
        border-radius: 50%
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--brand {
        background: rgba(61, 148, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--light {
        background: rgba(255, 255, 255, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--dark {
        background: rgba(40, 42, 60, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--primary {
        background: rgba(88, 103, 221, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--success {
        background: rgba(29, 201, 183, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--info {
        background: rgba(39, 134, 251, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--warning {
        background: rgba(255, 184, 34, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic.kt-widget__pic--danger {
        background: rgba(253, 39, 235, .1)
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username {
        text-align: center;
        display: block;
        padding: .8rem 0 .6rem 0;
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__button {
        text-align: center
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__button .btn {
        font-weight: 600;
        padding: .3rem .8rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action {
        text-align: center;
        margin-top: 2.3rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action>.btn-label-warning:hover {
        color: #fff
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__content .kt-widget__section .kt-widget__action .btn:not(:first-child):not(:last-child) {
        margin: 0 1rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body {
        margin-top: 2.5rem
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item {
        display: block;
        text-align: center;
        color: #595d6e;
        font-weight: 500;
        font-size: 1.1rem;
        padding: .9rem 0;
        margin: .4rem 0
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #edf0fc;
        cursor: pointer;
        border-radius: 4px
    }

    .kt-widget.kt-widget--user-profile-4 .kt-widget__body .kt-widget__item.kt-widget__item--active {
        -webkit-transition: color .3s ease;
        transition: color .3s ease;
        background: #edf0fc;
        color: #3d94fb;
        border-radius: 4px
    }

    @media (max-width:768px) {
        .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__img {
            max-width: 80px;
            max-height: 80px
        }
        .kt-widget.kt-widget--user-profile-4 .kt-widget__head .kt-widget__media .kt-widget__pic {
            max-width: 80px;
            max-height: 80px;
            font-size: 1.2rem
        }
    }

    .kt-widget.kt-widget--users .kt-widget__item {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin: 1.3rem 0 2.3rem 0
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-media img {
        width: 100%;
        max-width: 43px;
        height: 43px
    }

    .kt-widget.kt-widget--users .kt-widget__item:last-child {
        margin-bottom: 0
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info {
        padding-top: .1rem;
        -webkit-box-flex: 3;
        -ms-flex: 3;
        flex: 3;
        margin-left: 1rem
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-widget__username {
        font-size: 1.1rem;
        color: #48465b;
        font-weight: 500
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-widget__username:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__section .kt-badge {
        margin-left: .5rem
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info .kt-widget__desc {
        display: block;
        color: #74788d;
        font-weight: 500
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action {
        text-align: right;
        padding-top: .2rem;
        -webkit-box-flex: 1.1;
        -ms-flex: 1.1;
        flex: 1.1
    }

    .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action .kt-widget__date {
        display: block;
        color: #74788d;
        font-weight: 500
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--users .kt-widget__item .kt-widget__info {
            -webkit-box-flex: 1.5;
            -ms-flex: 1.5;
            flex: 1.5
        }
        .kt-widget.kt-widget--users .kt-widget__item .kt-widget__action {
            -webkit-box-flex: 1;
            -ms-flex: 1;
            flex: 1
        }
    }

    .kt-widget.kt-widget--project-1 {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        height: calc(100% + 20px)
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        padding: 25px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media .kt-media .kt-widget__icon {
        max-width: 62px;
        height: 62px;
        margin-top: -.5rem;
        margin-left: -.5rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media .kt-media img {
        width: 65px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__media.kt-widget__media--m {
        margin-top: 1.5px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info {
        padding: .25rem 0 0 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__title {
        font-size: 1.3rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__title:hover {
        color: #3d94fb;
        -webkit-transition: color .3s ease;
        transition: color .3s ease
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__label .kt-widget__info .kt-widget__desc {
        padding-top: .4rem;
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__toolbar {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body {
        padding: 25px;
        height: 100%;
        padding-top: 0!important
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item {
        padding-top: 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__date {
        color: #595d6e;
        font-weight: 500;
        padding-bottom: 1rem;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__progress {
        width: 100%;
        margin: 1.4rem 0 .5rem 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
        margin: 0 2.2rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:last-child {
        padding-left: 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin: 2.7rem 0 1.2rem 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__subtitel {
        color: #595d6e;
        font-weight: 500
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__progress {
        width: 100%;
        margin: 0 1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__container .kt-widget__progress .kt-widget__stat {
        padding-left: .7rem;
        color: #48465b;
        font-weight: 600
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__text {
        color: #595d6e;
        font-weight: 500;
        margin-top: 2.7rem;
        display: block
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content {
        padding: 1rem 0 1.3rem 0;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details {
        margin-right: 3.7rem;
        padding-top: 1rem;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__subtitle {
        color: #595d6e;
        font-weight: 600;
        padding-bottom: 1.1rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__value {
        color: #48465b;
        font-weight: 600;
        font-size: 1.2rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-widget__value span {
        color: #74788d
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-badge {
        margin: .3rem 0 0 7px
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child {
        margin-right: 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child .kt-widget__subtitle {
        margin-top: 0
    }

    .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details .kt-media-group {
        margin-top: -.5rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer {
        border-top: 1px solid #ebedf2;
        width: 100%
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper {
        padding: 25px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog i {
        font-size: 1.3rem;
        color: #d2d8e8
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog .kt-widget__value {
        font-weight: 700;
        padding-left: .6rem
    }

    .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog:last-child {
        padding-left: 1.7rem
    }

    @media (max-width:1024px) {
        .kt-widget.kt-widget--project-1 .kt-widget__head {
            padding-bottom: 1rem;
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media img {
            width: 100%;
            max-width: 50px;
            height: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media span {
            width: 50px;
            height: 50px;
            font-size: 1.2rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--fixed {
            width: 50px;
            height: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--fixed img {
            width: 50px;
            height: 50px;
            max-width: auto
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media img {
            width: 50px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md img {
            width: 100%;
            max-width: 45px;
            height: 45px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md span {
            width: 45px;
            height: 45px;
            font-size: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md.kt-media--fixed {
            width: 45px;
            height: 45px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md.kt-media--fixed img {
            width: 45px;
            height: 45px;
            max-width: auto
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media.kt-media--md img {
            width: 47px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media .kt-media .kt-widget__icon {
            margin-top: -.7rem;
            width: 62px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__media.kt-widget__media--m {
            margin-top: 1px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__head .kt-widget__info {
            padding: .2rem 0 0 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body {
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:not(:first-child):not(:last-child) {
            margin: 0 1.5rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__stats .kt-widget__item:last-child {
            padding-left: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__text {
            margin-top: 1.5rem;
            margin-bottom: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content {
            padding: .5rem 0 1rem 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details {
            margin-right: 1.2rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child {
            margin-right: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__body .kt-widget__content .kt-widget__details:last-child .kt-widget__subtitle {
            margin-top: 0
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper {
            padding: 15px
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section {
            padding-right: 1rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog .kt-widget__value {
            padding-left: .4rem
        }
        .kt-widget.kt-widget--project-1 .kt-widget__footer .kt-widget__wrapper .kt-widget__section .kt-widget__blog:last-child {
            padding-left: 1.2rem
        }
    }
    .kt-widget.kt-widget--user-profile-3 .kt-widget__top .kt-widget__content .kt-widget__info .kt-widget__desc .title-custom
    {
        font-size: 1.3rem !important;
        color: #48465b;
        font-weight: 600;
        margin: 0.8rem 0 0.7rem 0;
    }

    .kt-wizard-v3__content {
    padding-bottom: 2rem;
    margin-bottom: 2rem;
    border-bottom: 1px solid #eeeef4;
}
.kt-heading.kt-heading--md {
    font-size: 1.4rem;
}
.kt-wizard-v3__review .kt-wizard-v3__review-item {
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    border-bottom: 1px solid #eeeef4;
}
.kt-wizard-v3__review .kt-wizard-v3__review-item .kt-wizard-v3__review-title {
    font-weight: 600;
    font-size: 1.1rem;
    margin-bottom: .7rem;
}
 .kt-wizard-v3__review .kt-wizard-v3__review-item .kt-wizard-v3__review-content {
    line-height: 1.8rem;
}
.dropdown-menu.show {
    display: block;
    left: -15px !important;
}
</style>